> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.gitiho.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.gitiho.com/_mcp/server.

# Delete department

DELETE https://example.gitiho.com/api/department/276

Xoá một phòng ban

**Params:**

| **Param** | **Bắt buộc** | **Default** | **Mô tả** |
| --- | --- | --- | --- |
| id | Có |  | ID của phòng ban cần xoá |

**Response: Xem response example**

Reference: https://developer.gitiho.com/gitiho-business-api/admin/department-quản-ly-phong-ban/delete-department

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /api/department/276:
    delete:
      operationId: Delete department
      summary: Delete department
      description: |-
        Xoá một phòng ban

        **Params:**

        | **Param** | **Bắt buộc** | **Default** | **Mô tả** |
        | --- | --- | --- | --- |
        | id | Có |  | ID của phòng ban cần xoá |

        **Response: Xem response example**
      tags:
        - departmentQuảnLyPhongBan
      responses:
        '200':
          description: Successful response
servers:
  - url: https://example.gitiho.com
    description: Default

```

## Examples

**SDK Code**

```python
import requests

url = "https://example.gitiho.com/api/department/276"

response = requests.delete(url)

print(response.json())
```

```javascript
const url = 'https://example.gitiho.com/api/department/276';
const options = {method: 'DELETE'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://example.gitiho.com/api/department/276"

	req, _ := http.NewRequest("DELETE", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.gitiho.com/api/department/276")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://example.gitiho.com/api/department/276")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://example.gitiho.com/api/department/276');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.gitiho.com/api/department/276");
var request = new RestRequest(Method.DELETE);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://example.gitiho.com/api/department/276")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```